## node-vscode-lsp 1.0.0~git20230424.1320922

=== debian/changelog ===
node-vscode-lsp (1.0.0~git20230424.1320922-3) unstable; urgency=medium

  * Team upload
  * Add patch to fix failing inequality check (Closes: #1055664)
  * Apply multiarch hints

 -- Ananthu C V <weepingclown@disroot.org>  Fri, 17 Nov 2023 22:35:28 +0530

node-vscode-lsp (1.0.0~git20230424.1320922-2) unstable; urgency=medium

  * Source-only upload

 -- Yadd <yadd@debian.org>  Fri, 12 May 2023 20:56:45 +0400

node-vscode-lsp (1.0.0~git20230424.1320922-1) unstable; urgency=medium

  * Initial release (Closes: #1035735)

 -- Yadd <yadd@debian.org>  Fri, 12 May 2023 08:13:49 +0400
