=== debian/control ===
Source: node-vscode-lsp
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , node-typescript
Standards-Version: 4.6.2
Homepage: https://github.com/Microsoft/vscode-lsp#readme
Vcs-Git: https://salsa.debian.org/js-team/node-vscode-lsp.git
Vcs-Browser: https://salsa.debian.org/js-team/node-vscode-lsp
Rules-Requires-Root: no

Package: node-vscode-jsonrpc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Node.js module that implement the VSCode client-server protocol
 This npm module implements the base messaging protocol spoken between a
 VSCode language server and a VSCode language client.
 .
 The npm module can also be used standalone to establish a JSON-RPC channel
 between a client and a server.

Package: node-vscode-languageserver
Architecture: all
Depends: ${misc:Depends}
 , node-vscode-languageserver-protocol
Description: Node.js module to implement a VSCode language server
 This module implements a VSCode language server using Node.js as a runtime.
 See https://code.visualstudio.com/docs/extensions/example-language-server
 for more.

Package: node-vscode-languageserver-protocol
Architecture: all
Depends: ${misc:Depends}
 , node-vscode-jsonrpc
 , node-vscode-languageserver-types
Description: VSCode language server protocol definition in TypeScript
 This npm module is a tool independent implementation of the VSCode language
 server protocol and can be used in any type of node application.

Package: node-vscode-languageserver-textdocument
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Node.js module to implement text documents usable in a LSP server
 Node.js module containing a simple text document implementation for Node.js
 language server.
 See https://code.visualstudio.com/docs/extensions/example-language-server
 for more.

Package: node-vscode-languageserver-tools
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Node.js module containing a simple text document implementation for Node.js
 node-vscode-languageserver-tools contains some tools used to build VSCode
 client-server implementations.

Package: node-vscode-languageserver-types
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Node.js data types used by the VSCode client-server language
 Npm module containing the types used by the VSCode language client and
 Node.js language server.
