=== debian/watch ===
version=4
opts=\
mode=git,\
pretty=1.0.0~git%cd.%h,\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.gz/ \
 https://github.com/Microsoft/vscode-languageserver-node.git HEAD
